Push Subscription Upsert
Register or refresh the authenticated account's browser push subscription. Web Push must be enabled on the instance.
/notifications/push/subscriptionsRegister or refresh the authenticated account's browser push subscription. Web Push must be enabled on the instance.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Browser PushSubscription.toJSON() data. The browser's optional expirationTime is accepted but not used; expired subscriptions are removed when rejected by the push service.
Response Body
application/json
application/json
curl -X PUT "https://example.com/notifications/push/subscriptions" \ -H "Content-Type: application/json" \ -d '{ "endpoint": "http://example.com", "keys": { "p256dh": "string", "auth": "string" } }'{ "id": "string", "endpoint": "http://example.com"}Push Subscription Delete DELETE
Remove a browser push subscription owned by the authenticated account. Available even when Web Push is disabled.
Report Create POST
Create a new report for content or user violations. Reports can be against any kind of user-generated content as well as members themselves. The kind of report is specified in the request body which dictates which resource the `id` field refers to.